<script language="javascript" src="../system/utility.js"></script>
<script language="javascript" src="../system/array.js"></script>
<script language="javascript" src="../system/rpc.js"></script>

<script language="javascript" type="text/javascript">
window.sourcecompat = {
{loop $sources=$sourcecompat}
	'{$_loop.key}': '*{$sources|implode:"*"}*'{if $_loop.last==0},{/if}
{/loop}
}
function account_type_changed(sel) {
	if (!sel) return;
	
	var isreseller = (sel.selectedIndex==1) && (sel.options.length==3);
	// if the creator is logged in as an admin, there will be 3 options, otherwise if a reseller, there will be 2
	var istemplate = (sel.selectedIndex==2 && sel.options.length==3) || (sel.selectedIndex==1 && sel.options.length==2);
	
	var frm = sel.form;
	if (!frm) return;
	
	if (istemplate) {
		frm.servertype.style.display = 'none';
		if (frm.sourcetype) frm.sourcetype.style.display = 'none';
		frm.accounttemplate.style.display = '';
		frm.accounttemplate.selectedIndex = 0;
	} else {
		frm.servertype.style.display = '';
		if (frm.sourcetype) frm.sourcetype.style.display = '';
		frm.accounttemplate.style.display = 'none';

		frm.servertype.selectedIndex = 0;
		frm.servertype.disabled = isreseller;
		if (frm.sourcetype) {
			frm.sourcetype.selectedIndex = 0;
			frm.sourcetype.disabled = true;
		}
	}
	
	frm.submit.disabled = !isreseller;
}

function server_type_changed(sel) {
	if (!sel) return;
	
	var frm = sel.form;
	if (!frm) return;
	
	var sourcelisthidden = !frm.sourcetype || (frm.sourcetype.type=='hidden');
	
	if ( (frm.servertype.selectedIndex>0) && !sourcelisthidden) {
		frm.sourcetype.disabled = false;
		var srv = sel.options[sel.selectedIndex].value;
		if (window.sourcecompat[srv]) {
			var compatiblesources = window.sourcecompat[srv];
			for (var i=1; i<frm.sourcetype.options.length; i++) {
				var capable = (compatiblesources.indexOf('*'+frm.sourcetype.options[i].value+'*')!=-1);
				frm.sourcetype.options[i].style.display = capable ? '' : 'none';
			}
		}
	} else {
		if (frm.sourcetype) frm.sourcetype.disabled = true;
	}
	
	if (sourcelisthidden) {
		if (frm.sourcetype) frm.sourcetype.disabled = false;
		frm.submit.disabled = (frm.servertype.selectedIndex==0);
	} else {
		frm.submit.disabled = true;	
	}

}

function source_type_changed(sel) {
	if (!sel) return;
	
	var frm = sel.form;
	if (!frm) return;
	
	frm.submit.disabled = (frm.sourcetype.selectedIndex==0);
}

function template_changed(sel) {
	if (!sel) return;
	
	var frm = sel.form;
	if (!frm) return;
	
	frm.submit.disabled = (frm.accounttemplate.selectedIndex==0);
}


function disable_software_types() {
	for (var i=0; i<window.acctforms.length; i++) {
		var frm = document.getElementById('form'+window.acctforms[i]);
		if (!frm) return;
		if (frm.servertype && frm.servertype.options) frm.servertype.disabled = false;
		if (frm.sourcetype && frm.sourcetype.options) frm.sourcetype.disabled = true;
		if (frm.submit) frm.submit.disabled = true;
		if (frm.accounttemplate) frm.accounttemplate.style.display = 'none';
	}
}

function account_tip_set_status(username,status) {
	//var el = document.getElementById('account_tip_'+username);
	var el = document.getElementById('account_'+username+'_username');
	if (!el) return;
	UnTip();
	
	var streamtitle = status.title+'';
	if ( !streamtitle.length || (streamtitle=='{="None"}') ) streamtitle = username;
	
	//var_dump(status);
	
	var html = '<strong>' + streamtitle + '</strong><br /><br />';
	
	if (status.reseller) {
		html += '{="Reseller account"}';
	} else {
		html += '{="Server:"} <strong>'+status.server+'</strong><br />' +
		'{="Source:"} <strong>'+status.source+'</strong><br />';
	}
	if (!status.offline) {
		html +=
		'<br />'+		
		'{="Current Song:"} <strong>'+status.song+'</strong> ('+status.bitrate+'{="kbps"})<br />' +
		'{="Current Listeners:"} <strong>'+status.listeners+'</strong><br />'
	}
	Tip(
		html,
		 FIX, [el,0,0], ABOVE, true
	);
	
}

function account_tip_load_status(username) {
	window.tiptimer = 0;
	var el = document.getElementById('account_'+username+'_username');
	Tip('{="Checking stream status ..."}', FIX, [el,0,0], ABOVE, true);
	window.rpc.execute('streaminfo.get_by_username',username);	
}

function account_tip_over(username) {
	if (!window.page_loaded) return;
	
	window.tiptimer = setTimeout('account_tip_load_status("'+username+'")',500);
}

function account_tip_out() {
	if (!window.page_loaded) return;

	if (window.tiptimer) {
		clearTimeout(window.tiptimer);
		window.tiptimer = 0;
	}
	UnTip();
}

function setup_account_list() {
	window.accounttipelements = [];
	
	window.rpc = new RPCClient('rpc.php','window.rpc','acctlist');
	window.rpc.set_callback("streaminfo.get_by_username","account_tip_set_status");
	
	window.page_loaded = true;
}

add_onload(setup_account_list);
</script>
